diff --git a/base/common/src/com/netscape/cms/servlet/cert/RemoteAuthConfig.java b/base/common/src/com/netscape/cms/servlet/cert/RemoteAuthConfig.java
index c76181aa16467fe1ef7b7eb78d0528a9480d703f..3f5434d9e76025ae3752862099a35accb038b4df 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/RemoteAuthConfig.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/RemoteAuthConfig.java
@@ -44,6 +44,7 @@ import com.netscape.certsrv.authentication.IAuthSubsystem;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
 import com.netscape.certsrv.base.IConfigStore;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.cms.servlet.base.CMSServlet;
 import com.netscape.cms.servlet.common.CMSRequest;
@@ -123,7 +124,7 @@ public class RemoteAuthConfig extends CMSServlet {
 
         mAuthSubsystem = (IAuthSubsystem) CMS.getSubsystem(CMS.SUBSYSTEM_AUTH);
 
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
     }
 
     /**
@@ -256,7 +257,7 @@ public class RemoteAuthConfig extends CMSServlet {
 
             resp.setContentType("text/html");
             form.renderOutput(out, argSet);
-            cmsReq.setStatus(CMSRequest.SUCCESS);
+            cmsReq.setStatus(ICMSRequest.SUCCESS);
         } catch (IOException e) {
             log(ILogger.LL_FAILURE,
                     CMS.getLogMessage("CMSGW_ERR_STREAM_TEMPLATE", e.toString()));
diff --git a/base/common/src/com/netscape/cms/servlet/cert/RenewalServlet.java b/base/common/src/com/netscape/cms/servlet/cert/RenewalServlet.java
index f0840c4080a969976bd1dc9fe4c25818041a95f2..a697e14e4017aa5f1767d556ee82795953d3f2da 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/RenewalServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/RenewalServlet.java
@@ -46,6 +46,7 @@ import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
 import com.netscape.certsrv.base.MetaInfo;
 import com.netscape.certsrv.ca.ICertificateAuthority;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.dbs.certdb.ICertRecord;
 import com.netscape.certsrv.logging.AuditFormat;
 import com.netscape.certsrv.logging.ILogger;
@@ -95,7 +96,7 @@ public class RenewalServlet extends CMSServlet {
     public void init(ServletConfig sc) throws ServletException {
         super.init(sc);
         // override success template. has same info as enrollment.
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
         try {
             mRenewalSuccessTemplate = sc.getInitParameter(
                         PROP_SUCCESS_TEMPLATE);
@@ -160,7 +161,7 @@ public class RenewalServlet extends CMSServlet {
         }
 
         if (authzToken == null) {
-            cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+            cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
             return;
         }
 
@@ -346,7 +347,7 @@ public class RenewalServlet extends CMSServlet {
             CMS.debug(
                     "RenewalServlet: Result for request " + req.getRequestId() + " is error.");
 
-            cmsReq.setStatus(CMSRequest.ERROR);
+            cmsReq.setStatus(ICMSRequest.ERROR);
             cmsReq.setError(req.getExtDataInString(IRequest.ERROR));
             String[] svcErrors =
                     req.getExtDataInStringArray(IRequest.SVCERRORS);
@@ -410,7 +411,7 @@ public class RenewalServlet extends CMSServlet {
             throws EBaseException {
         cmsReq.setResult(new X509CertImpl[] { renewed_cert }
                 );
-        cmsReq.setStatus(CMSRequest.SUCCESS);
+        cmsReq.setStatus(ICMSRequest.SUCCESS);
 
         // check if cert should be imported.
         // browser must have input type set to nav or cartman since
diff --git a/base/common/src/com/netscape/cms/servlet/cert/RevocationServlet.java b/base/common/src/com/netscape/cms/servlet/cert/RevocationServlet.java
index d136c5ff9e68553e5047414a44b01342b248847f..ec77d1cec618b999d886c59089b24cccaa72e1e8 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/RevocationServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/RevocationServlet.java
@@ -44,6 +44,7 @@ import com.netscape.certsrv.authorization.EAuthzAccessDenied;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
 import com.netscape.certsrv.ca.ICertificateAuthority;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.dbs.certdb.ICertRecord;
 import com.netscape.certsrv.dbs.certdb.ICertificateRepository;
 import com.netscape.certsrv.logging.ILogger;
@@ -97,7 +98,7 @@ public class RevocationServlet extends CMSServlet {
     public void init(ServletConfig sc) throws ServletException {
         super.init(sc);
         // override success template. has same info as enrollment.
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
 
         mFormPath = "/" + TPL_FILE;
         try {
@@ -180,7 +181,7 @@ public class RevocationServlet extends CMSServlet {
         }
 
         if (authzToken == null) {
-            cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+            cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
             return;
         }
 
@@ -320,7 +321,7 @@ public class RevocationServlet extends CMSServlet {
 
             httpResp.setContentType("text/html");
             form.renderOutput(out, argSet);
-            cmsReq.setStatus(CMSRequest.SUCCESS);
+            cmsReq.setStatus(ICMSRequest.SUCCESS);
         } catch (IOException e) {
             log(ILogger.LL_FAILURE,
                     CMS.getLogMessage("CMSGW_ERR_OUT_STREAM_TEMPLATE", e.toString()));
diff --git a/base/common/src/com/netscape/cms/servlet/cert/SrchCerts.java b/base/common/src/com/netscape/cms/servlet/cert/SrchCerts.java
index 0a04110c23652af55abf98b486e7ccf9560950b2..508a8df70a3fc8401879907c62f1939dbb410722 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/SrchCerts.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/SrchCerts.java
@@ -49,6 +49,7 @@ import com.netscape.certsrv.base.IArgBlock;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.ISubsystem;
 import com.netscape.certsrv.ca.ICertificateAuthority;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.dbs.certdb.ICertRecord;
 import com.netscape.certsrv.dbs.certdb.ICertificateRepository;
 import com.netscape.certsrv.dbs.certdb.IRevocationInfo;
@@ -100,7 +101,7 @@ public class SrchCerts extends CMSServlet {
     public void init(ServletConfig sc) throws ServletException {
         super.init(sc);
         // override success to render own template.
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
 
         if (mAuthority instanceof ISubsystem) {
             ISubsystem sub = mAuthority;
@@ -506,7 +507,7 @@ public class SrchCerts extends CMSServlet {
         }
 
         if (authzToken == null) {
-            cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+            cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
             return;
         }
 
@@ -564,12 +565,12 @@ public class SrchCerts extends CMSServlet {
                 if (xmlOutput != null && xmlOutput.equals("true")) {
                     outputXML(resp, argSet);
                 } else {
-                    cmsReq.setStatus(CMSRequest.SUCCESS);
+                    cmsReq.setStatus(ICMSRequest.SUCCESS);
                     resp.setContentType("text/html");
                     form.renderOutput(out, argSet);
                 }
             } else {
-                cmsReq.setStatus(CMSRequest.ERROR);
+                cmsReq.setStatus(ICMSRequest.ERROR);
                 cmsReq.setError(error);
             }
         } catch (IOException e) {
diff --git a/base/common/src/com/netscape/cms/servlet/cert/UpdateCRL.java b/base/common/src/com/netscape/cms/servlet/cert/UpdateCRL.java
index a3cec570a20253cd74e754c63606e1be3b057521..e39b665559947f2189dd2c68e4bb4d355abeb5aa 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/UpdateCRL.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/UpdateCRL.java
@@ -47,6 +47,7 @@ import com.netscape.certsrv.base.SessionContext;
 import com.netscape.certsrv.ca.EErrorPublishCRL;
 import com.netscape.certsrv.ca.ICRLIssuingPoint;
 import com.netscape.certsrv.ca.ICertificateAuthority;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.ldap.ELdapException;
 import com.netscape.certsrv.logging.AuditFormat;
 import com.netscape.certsrv.logging.ILogger;
@@ -95,7 +96,7 @@ public class UpdateCRL extends CMSServlet {
             mCA = (ICertificateAuthority) mAuthority;
 
         // override success to do output orw own template.
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
         if (mOutputTemplatePath != null)
             mFormPath = mOutputTemplatePath;
     }
@@ -134,7 +135,7 @@ public class UpdateCRL extends CMSServlet {
         }
 
         if (authzToken == null) {
-            cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+            cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
             if (statsSub != null) {
                 statsSub.endTiming("crl");
             }
@@ -182,10 +183,10 @@ public class UpdateCRL extends CMSServlet {
                 } else {
                     resp.setContentType("text/html");
                     form.renderOutput(out, argSet);
-                    cmsReq.setStatus(CMSRequest.SUCCESS);
+                    cmsReq.setStatus(ICMSRequest.SUCCESS);
                 }
             } else {
-                cmsReq.setStatus(CMSRequest.ERROR);
+                cmsReq.setStatus(ICMSRequest.ERROR);
                 cmsReq.setError(error);
             }
         } catch (IOException e) {
diff --git a/base/common/src/com/netscape/cms/servlet/cert/UpdateDir.java b/base/common/src/com/netscape/cms/servlet/cert/UpdateDir.java
index 6e580896e7bd967941a73ce9c3b3bdb13b7b1660..a662f8e7bf9c7658a97c4467c024279a7ec93746 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/UpdateDir.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/UpdateDir.java
@@ -42,6 +42,7 @@ import com.netscape.certsrv.base.MetaInfo;
 import com.netscape.certsrv.base.SessionContext;
 import com.netscape.certsrv.ca.ICRLIssuingPoint;
 import com.netscape.certsrv.ca.ICertificateAuthority;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.dbs.certdb.ICertRecord;
 import com.netscape.certsrv.dbs.certdb.ICertificateRepository;
 import com.netscape.certsrv.dbs.crldb.ICRLIssuingPointRecord;
@@ -118,7 +119,7 @@ public class UpdateDir extends CMSServlet {
             }
 
             // override success to do output orw own template.
-            mTemplates.remove(CMSRequest.SUCCESS);
+            mTemplates.remove(ICMSRequest.SUCCESS);
             if (mOutputTemplatePath != null) {
                 mFormPath = mOutputTemplatePath;
             }
@@ -150,7 +151,7 @@ public class UpdateDir extends CMSServlet {
         }
 
         if (authzToken == null) {
-            cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+            cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
             return;
         }
 
@@ -207,10 +208,10 @@ public class UpdateDir extends CMSServlet {
                 } else {
                     resp.setContentType("text/html");
                     form.renderOutput(out, argSet);
-                    cmsReq.setStatus(CMSRequest.SUCCESS);
+                    cmsReq.setStatus(ICMSRequest.SUCCESS);
                 }
             } else {
-                cmsReq.setStatus(CMSRequest.ERROR);
+                cmsReq.setStatus(ICMSRequest.ERROR);
                 cmsReq.setError(error);
             }
         } catch (IOException e) {
diff --git a/base/common/src/com/netscape/cms/servlet/common/CMSRequest.java b/base/common/src/com/netscape/cms/servlet/common/CMSRequest.java
index d7a32d34053ab1d0e1bd45b390493b737fd3e11e..5ac64095204754096731fc2a4a815988ba83a469 100644
--- a/base/common/src/com/netscape/cms/servlet/common/CMSRequest.java
+++ b/base/common/src/com/netscape/cms/servlet/common/CMSRequest.java
@@ -28,6 +28,7 @@ import javax.servlet.http.HttpServletResponse;
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.RequestId;
 import com.netscape.certsrv.request.RequestStatus;
@@ -37,15 +38,7 @@ import com.netscape.certsrv.request.RequestStatus;
  *
  * @version $Revision$, $Date$
  */
-public class CMSRequest {
-    // statuses. the first two are out of band.
-    public static final Integer UNAUTHORIZED = Integer.valueOf(1);
-    public static final Integer SUCCESS = Integer.valueOf(2);
-    public static final Integer PENDING = Integer.valueOf(3);
-    public static final Integer SVC_PENDING = Integer.valueOf(4);
-    public static final Integer REJECTED = Integer.valueOf(5);
-    public static final Integer ERROR = Integer.valueOf(6);
-    public static final Integer EXCEPTION = Integer.valueOf(7); // unexpected error.
+public class CMSRequest implements ICMSRequest {
 
     private static final String RESULT = "cmsRequestResult";
 
@@ -274,19 +267,19 @@ public class CMSRequest {
 
         // completed equivalent to success by default.
         if (status == RequestStatus.COMPLETE) {
-            mStatus = CMSRequest.SUCCESS;
+            mStatus = ICMSRequest.SUCCESS;
             return;
         }
         // unexpected resulting request status.
         if (status == RequestStatus.REJECTED) {
-            mStatus = CMSRequest.REJECTED;
+            mStatus = ICMSRequest.REJECTED;
             return;
         } // pending or service pending.
         else if (status == RequestStatus.PENDING) {
-            mStatus = CMSRequest.PENDING;
+            mStatus = ICMSRequest.PENDING;
             return;
         } else if (status == RequestStatus.SVC_PENDING) {
-            mStatus = CMSRequest.SVC_PENDING;
+            mStatus = ICMSRequest.SVC_PENDING;
             return;
         } else {
             RequestId reqId = mRequest.getRequestId();
diff --git a/base/common/src/com/netscape/cms/servlet/common/GenUnexpectedErrorTemplateFiller.java b/base/common/src/com/netscape/cms/servlet/common/GenUnexpectedErrorTemplateFiller.java
index 1d768a88fe57d81df38f42234415b19a67309581..cf0b0a063830372fa81be2140118b3cfc64b96e8 100644
--- a/base/common/src/com/netscape/cms/servlet/common/GenUnexpectedErrorTemplateFiller.java
+++ b/base/common/src/com/netscape/cms/servlet/common/GenUnexpectedErrorTemplateFiller.java
@@ -23,6 +23,7 @@ import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.authority.IAuthority;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
+import com.netscape.certsrv.common.ICMSRequest;
 
 /**
  * default unexpected error template filler
@@ -51,7 +52,7 @@ public class GenUnexpectedErrorTemplateFiller implements ICMSTemplateFiller {
         // will leave the requestStatus value set to something other
         // than CMSRequest.EXCEPTION, so force the requestStatus to
         // EXCEPTION since it must be that if we're here.
-        Integer sts = CMSRequest.EXCEPTION;
+        Integer sts = ICMSRequest.EXCEPTION;
         if (cmsReq != null)
             cmsReq.setStatus(sts);
         fixed.set(ICMSTemplateFiller.REQUEST_STATUS, sts.toString());
diff --git a/base/common/src/com/netscape/cms/servlet/connector/CloneServlet.java b/base/common/src/com/netscape/cms/servlet/connector/CloneServlet.java
index 7a2c64d332da572fc05845d5030f2f66c2c0c017..5634cfd55b9b157988fa34651e98e0d81ca2ea9d 100644
--- a/base/common/src/com/netscape/cms/servlet/connector/CloneServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/connector/CloneServlet.java
@@ -45,6 +45,7 @@ import com.netscape.certsrv.authority.IAuthority;
 import com.netscape.certsrv.authorization.AuthzToken;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.SessionContext;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.connector.IPKIMessage;
 import com.netscape.certsrv.connector.IRequestEncoder;
 import com.netscape.certsrv.logging.AuditFormat;
@@ -210,7 +211,7 @@ public class CloneServlet extends CMSServlet {
         }
 
         if (authzToken == null) {
-            cmsRequest.setStatus(CMSRequest.UNAUTHORIZED);
+            cmsRequest.setStatus(ICMSRequest.UNAUTHORIZED);
             return;
         }
 
diff --git a/base/common/src/com/netscape/cms/servlet/connector/ConnectorServlet.java b/base/common/src/com/netscape/cms/servlet/connector/ConnectorServlet.java
index 63a078a845c0e4f83d16837796881045922d77a2..5f1fc4805865920563974b4d09e9ac71371d79d0 100644
--- a/base/common/src/com/netscape/cms/servlet/connector/ConnectorServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/connector/ConnectorServlet.java
@@ -57,6 +57,7 @@ import com.netscape.certsrv.authority.IAuthority;
 import com.netscape.certsrv.authorization.AuthzToken;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.SessionContext;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.connector.IPKIMessage;
 import com.netscape.certsrv.connector.IRequestEncoder;
 import com.netscape.certsrv.logging.AuditFormat;
@@ -238,7 +239,7 @@ public class ConnectorServlet extends CMSServlet {
         }
 
         if (authzToken == null) {
-            cmsRequest.setStatus(CMSRequest.UNAUTHORIZED);
+            cmsRequest.setStatus(ICMSRequest.UNAUTHORIZED);
             return;
         }
 
diff --git a/base/common/src/com/netscape/cms/servlet/connector/GenerateKeyPairServlet.java b/base/common/src/com/netscape/cms/servlet/connector/GenerateKeyPairServlet.java
index 7c6d500518d27238da00a7b28addc505e4f851f7..52f58afb2c55da7bfd16b4997213a7e020d1e6e6 100644
--- a/base/common/src/com/netscape/cms/servlet/connector/GenerateKeyPairServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/connector/GenerateKeyPairServlet.java
@@ -34,6 +34,7 @@ import com.netscape.certsrv.authorization.AuthzToken;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.IPrettyPrintFormat;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.IRequestQueue;
@@ -305,7 +306,7 @@ public class GenerateKeyPairServlet extends CMSServlet {
                 CMS.debug("GenerateKeyPairServlet: " + e.toString());
             }
 
-            cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+            cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
             return;
         }
 
diff --git a/base/common/src/com/netscape/cms/servlet/connector/TokenKeyRecoveryServlet.java b/base/common/src/com/netscape/cms/servlet/connector/TokenKeyRecoveryServlet.java
index 860cc68f86db86b3993fe2496c5d4edd3746b785..ebcd42c1442d7f4e450f402527e6393d7698d7bb 100644
--- a/base/common/src/com/netscape/cms/servlet/connector/TokenKeyRecoveryServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/connector/TokenKeyRecoveryServlet.java
@@ -33,6 +33,7 @@ import com.netscape.certsrv.authority.IAuthority;
 import com.netscape.certsrv.authorization.AuthzToken;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IPrettyPrintFormat;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.IRequestQueue;
 import com.netscape.cms.servlet.base.CMSServlet;
@@ -312,7 +313,7 @@ public class TokenKeyRecoveryServlet extends CMSServlet {
                 CMS.debug("TokenKeyRecoveryServlet: " + e.toString());
             }
 
-            cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+            cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
             return;
         }
 
diff --git a/base/common/src/com/netscape/cms/servlet/csadmin/GetCookie.java b/base/common/src/com/netscape/cms/servlet/csadmin/GetCookie.java
index 78d8dab6ba170405266fa96de61b17267e805464..1e8c6518209f381a51c7f8e479636b7c8f6e3393 100644
--- a/base/common/src/com/netscape/cms/servlet/csadmin/GetCookie.java
+++ b/base/common/src/com/netscape/cms/servlet/csadmin/GetCookie.java
@@ -33,6 +33,7 @@ import com.netscape.certsrv.authentication.IAuthToken;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
 import com.netscape.certsrv.base.IConfigStore;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.system.InstallToken;
 import com.netscape.cms.servlet.base.CMSServlet;
@@ -69,7 +70,7 @@ public class GetCookie extends CMSServlet {
         super.init(sc);
 
         CMS.debug("GetCookie init");
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
         mErrorFormPath = sc.getInitParameter("errorTemplatePath");
         if (mOutputTemplatePath != null) {
             mFormPath = mOutputTemplatePath;
@@ -155,7 +156,7 @@ public class GetCookie extends CMSServlet {
             try {
                 ServletOutputStream out = httpResp.getOutputStream();
 
-                cmsReq.setStatus(CMSRequest.SUCCESS);
+                cmsReq.setStatus(ICMSRequest.SUCCESS);
                 httpResp.setContentType("text/html");
                 form.renderOutput(out, argSet);
             } catch (IOException ee) {
@@ -201,7 +202,7 @@ public class GetCookie extends CMSServlet {
                     try {
                         ServletOutputStream out = httpResp.getOutputStream();
 
-                        cmsReq.setStatus(CMSRequest.SUCCESS);
+                        cmsReq.setStatus(ICMSRequest.SUCCESS);
                         httpResp.setContentType("text/html");
                         form.renderOutput(out, argSet);
 
diff --git a/base/common/src/com/netscape/cms/servlet/csadmin/MainPageServlet.java b/base/common/src/com/netscape/cms/servlet/csadmin/MainPageServlet.java
index db70d7729e7a7654f2da3ec3b15ffb601864f6fc..69b2a9d2aad3219ffbb6bb35c263f18717d85a4f 100644
--- a/base/common/src/com/netscape/cms/servlet/csadmin/MainPageServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/csadmin/MainPageServlet.java
@@ -30,6 +30,7 @@ import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
 import com.netscape.certsrv.base.IConfigStore;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.cms.servlet.base.CMSServlet;
 import com.netscape.cms.servlet.common.CMSRequest;
@@ -49,8 +50,8 @@ public class MainPageServlet extends CMSServlet {
 
     public void init(ServletConfig sc) throws ServletException {
         super.init(sc);
-        mTemplates.remove(CMSRequest.SUCCESS);
-        mTemplates.remove(CMSRequest.ERROR);
+        mTemplates.remove(ICMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.ERROR);
     }
 
     public void process(CMSRequest cmsReq) throws EBaseException {
@@ -85,7 +86,7 @@ public class MainPageServlet extends CMSServlet {
         try {
             ServletOutputStream out = response.getOutputStream();
 
-            cmsReq.setStatus(CMSRequest.SUCCESS);
+            cmsReq.setStatus(ICMSRequest.SUCCESS);
             response.setContentType("text/html");
             form.renderOutput(out, argSet);
         } catch (IOException e) {
diff --git a/base/common/src/com/netscape/cms/servlet/key/ConfirmRecoverBySerial.java b/base/common/src/com/netscape/cms/servlet/key/ConfirmRecoverBySerial.java
index 3b5567bdbb5ede341e22d7fe19f633d6236225b1..e9faca86d7c88251bc078b3a19f1ea11e49bd1db 100644
--- a/base/common/src/com/netscape/cms/servlet/key/ConfirmRecoverBySerial.java
+++ b/base/common/src/com/netscape/cms/servlet/key/ConfirmRecoverBySerial.java
@@ -30,6 +30,7 @@ import javax.servlet.http.HttpServletResponse;
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.dbs.keydb.IKeyRecord;
 import com.netscape.certsrv.dbs.keydb.IKeyRepository;
 import com.netscape.certsrv.kra.IKeyRecoveryAuthority;
@@ -86,7 +87,7 @@ public class ConfirmRecoverBySerial extends CMSServlet {
         mRecoveryService = (IKeyService) mAuthority;
         mKeyDB = ((IKeyRecoveryAuthority) mAuthority).getKeyRepository();
 
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
     }
 
     /**
@@ -158,7 +159,7 @@ public class ConfirmRecoverBySerial extends CMSServlet {
             throw new ECMSGWException(
                     CMS.getUserMessage("CMS_GW_DISPLAY_TEMPLATE_ERROR"));
         }
-        cmsReq.setStatus(CMSRequest.SUCCESS);
+        cmsReq.setStatus(ICMSRequest.SUCCESS);
     }
 
     /**
diff --git a/base/common/src/com/netscape/cms/servlet/key/DisplayBySerial.java b/base/common/src/com/netscape/cms/servlet/key/DisplayBySerial.java
index 9c7454ec989ea6627ca885db5d044fe7ea5d3ecf..03af65c1f6df3a49408c42c8df6a009337d96f2f 100644
--- a/base/common/src/com/netscape/cms/servlet/key/DisplayBySerial.java
+++ b/base/common/src/com/netscape/cms/servlet/key/DisplayBySerial.java
@@ -33,6 +33,7 @@ import com.netscape.certsrv.authorization.AuthzToken;
 import com.netscape.certsrv.authorization.EAuthzAccessDenied;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.dbs.keydb.IKeyRecord;
 import com.netscape.certsrv.dbs.keydb.IKeyRepository;
 import com.netscape.certsrv.kra.IKeyRecoveryAuthority;
@@ -84,7 +85,7 @@ public class DisplayBySerial extends CMSServlet {
         mFormPath = "/" + mAuthority.getId() + "/" + TPL_FILE;
         mKeyDB = ((IKeyRecoveryAuthority) mAuthority).getKeyRepository();
 
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
         if (mOutputTemplatePath != null)
             mFormPath = mOutputTemplatePath;
     }
@@ -124,7 +125,7 @@ public class DisplayBySerial extends CMSServlet {
         }
 
         if (authzToken == null) {
-            cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+            cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
             return;
         }
 
diff --git a/base/common/src/com/netscape/cms/servlet/key/DisplayBySerialForRecovery.java b/base/common/src/com/netscape/cms/servlet/key/DisplayBySerialForRecovery.java
index bfe47a9577d65109c5c2e4e6dd6bf627f9c7e2c0..48cac3785fd3868b14296c9f44b53e00e8493f87 100644
--- a/base/common/src/com/netscape/cms/servlet/key/DisplayBySerialForRecovery.java
+++ b/base/common/src/com/netscape/cms/servlet/key/DisplayBySerialForRecovery.java
@@ -33,6 +33,7 @@ import com.netscape.certsrv.authorization.AuthzToken;
 import com.netscape.certsrv.authorization.EAuthzAccessDenied;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.dbs.keydb.IKeyRecord;
 import com.netscape.certsrv.dbs.keydb.IKeyRepository;
 import com.netscape.certsrv.kra.IKeyRecoveryAuthority;
@@ -87,7 +88,7 @@ public class DisplayBySerialForRecovery extends CMSServlet {
         mKeyDB = ((IKeyRecoveryAuthority) mAuthority).getKeyRepository();
         mService = (IKeyService) mAuthority;
 
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
     }
 
     /**
@@ -126,7 +127,7 @@ public class DisplayBySerialForRecovery extends CMSServlet {
         }
 
         if (authzToken == null) {
-            cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+            cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
             return;
         }
 
@@ -177,7 +178,7 @@ public class DisplayBySerialForRecovery extends CMSServlet {
             throw new ECMSGWException(
                     CMS.getUserMessage("CMS_GW_DISPLAY_TEMPLATE_ERROR"));
         }
-        cmsReq.setStatus(CMSRequest.SUCCESS);
+        cmsReq.setStatus(ICMSRequest.SUCCESS);
     }
 
     /**
diff --git a/base/common/src/com/netscape/cms/servlet/key/DisplayTransport.java b/base/common/src/com/netscape/cms/servlet/key/DisplayTransport.java
index 5c0fc73e916f0b645473399581e641b99f9ff9d5..81dcff4ce6ae325004c53a3fdd5361f4b97a547b 100644
--- a/base/common/src/com/netscape/cms/servlet/key/DisplayTransport.java
+++ b/base/common/src/com/netscape/cms/servlet/key/DisplayTransport.java
@@ -25,6 +25,7 @@ import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.authentication.IAuthToken;
 import com.netscape.certsrv.authorization.AuthzToken;
 import com.netscape.certsrv.base.EBaseException;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.kra.IKeyRecoveryAuthority;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.security.ITransportKeyUnit;
@@ -58,7 +59,7 @@ public class DisplayTransport extends CMSServlet {
      */
     public void init(ServletConfig sc) throws ServletException {
         super.init(sc);
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
     }
 
     /**
@@ -89,7 +90,7 @@ public class DisplayTransport extends CMSServlet {
         }
 
         if (authzToken == null) {
-            cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+            cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
             return;
         }
 
@@ -120,6 +121,6 @@ public class DisplayTransport extends CMSServlet {
             throw new ECMSGWException(
                     CMS.getUserMessage("CMS_GW_DISPLAY_TEMPLATE_ERROR"));
         }
-        cmsReq.setStatus(CMSRequest.SUCCESS);
+        cmsReq.setStatus(ICMSRequest.SUCCESS);
     }
 }
